Accounts
/accounts/{id}/summary
Get account reconciliation summary by date range
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidQuery Parameters
dateRange*string
Date range string. Accepted syntax: YYYY, YYYY-MM, YYYY-MM-DD, or range YYYY-MM-DD...YYYY-MM-DD. Single values expand to the full year, month, or day.
Format
vrp-date-rangeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/summary?dateRange=2024-01-01...2024-01-31"{
"unmatched": {
"bankRecords": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"centTotal": 0
}
],
"transactions": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"centTotal": 0
}
]
},
"totals": {
"bankAccountBalance": 0,
"bookBalance": 0,
"unclearedTransactionsBalance": 0,
"unmatchedTransactionsBalance": 0,
"unmatchedBankRecordsBalance": 0,
"adjustedBankAccountBalance": 0,
"difference": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}